#
# spec file for package python-flake8
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-flake8
Version:        2.3.0
Release:        0
Summary:        Modular source code checker: pep8, pyflakes and co
License:        MIT
Group:          Development/Languages/Python
Url:            http://bitbucket.org/tarek/flake8
Source:         http://pypi.python.org/packages/source/f/flake8/flake8-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-mccabe >= 0.2.1
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-pep8 >= 1.5.7
BuildRequires:  python-pyflakes >= 0.8.1
Requires:       python-mccabe >= 0.2.1
Requires:       python-pep8 >= 1.5.7
Requires:       python-pyflakes >= 0.8.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Flake8 is a wrapper around these tools:

- PyFlakes
- pep8
- Ned Batchelder's McCabe script

Flake8 runs all the tools by launching the single ``flake8`` script.

%prep
%setup -q -n flake8-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{_bindir}/flake8
%{python_sitelib}/*

%changelog
